	// This code is from the book 'HTML, XHTML, and CSS Bible 3rd Edition' from Bryan Pfaffenberger, Steven M. Schafer, Chuck White and Bill Karow, Wiley Publishing, Inc.'
	// Hoping that the advertising I'm making will refund the authors for their efforts

	function relativePath(x) {

		// we add parent dir references depending on the distance (x) from the current resource location, minus the protocol and host indication
		var x = x-3;
		var sNesting="";
		for (i=0;i<x;i++) {
			sNesting = sNesting + "../";
		}
		return sNesting;
	}

	function breadcrumbs() {

		// From the window location property we are getting the resource path
		var sURL = window.location.toString();
		
		// We split that in parts by means of the slash separator
		var sDir = new Array();
		sDir = sURL.split("/");

		// Usage of an accumulator variable for building the html output string
		var sOutput="";
		
		// We start from 2, so discarding protocol and host indication
		for ( y = 2 ; y < (sDir.length-1) ; y++ ) {
			// By default we make the link pointing to an index.html page, but there is no particular reason for not doing some way else
			sOutput = sOutput + " :: <a href='" + relativePath((sDir.length-y)+1) + "' >" + sDir[y] + "</a>";
		}

		sOutput = sOutput + "<br/><p>(URL corrente: <a target='_blank' href='" + sURL + "'>" + sURL + "</a>)</p>";
		// Finally we write the output to the html document
		document.write(sOutput);
		
		
	}
